libetonyek::IWASnappyStream Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
libetonyek::IWASnappyStream Class Reference

`#include <IWASnappyStream.h>`

Inheritance diagram for libetonyek::IWASnappyStream:

## Public Member Functions
| IWASnappyStream (const RVNGInputStreamPtr_t &stream)
| ~IWASnappyStream ()
bool | isStructured ()
unsigned | subStreamCount ()
const char * | subStreamName (unsigned id)
bool | existsSubStream (const char *name)
librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
librevenge::RVNGInputStream * | getSubStreamById (unsigned id)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
long | tell ()
bool | isEnd ()

## Static Public Member Functions
static RVNGInputStreamPtr_t | uncompressBlock (const RVNGInputStreamPtr_t &block)

## Private Attributes
RVNGInputStreamPtr_t | m_stream

## Constructor & Destructor Documentation

libetonyek::IWASnappyStream::IWASnappyStream | ( | const RVNGInputStreamPtr_t & | stream | ) |
| explicit

libetonyek::IWASnappyStream::~IWASnappyStream | ( |  | ) |

## Member Function Documentation

bool libetonyek::IWASnappyStream::existsSubStream | ( | const char * | name | ) |

librevenge::RVNGInputStream * libetonyek::IWASnappyStream::getSubStreamById | ( | unsigned | id | ) |

librevenge::RVNGInputStream * libetonyek::IWASnappyStream::getSubStreamByName | ( | const char * | name | ) |

bool libetonyek::IWASnappyStream::isEnd | ( |  | ) |

bool libetonyek::IWASnappyStream::isStructured | ( |  | ) |

const unsigned char * libetonyek::IWASnappyStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

int libetonyek::IWASnappyStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |

unsigned libetonyek::IWASnappyStream::subStreamCount | ( |  | ) |

const char * libetonyek::IWASnappyStream::subStreamName | ( | unsigned | id | ) |

long libetonyek::IWASnappyStream::tell | ( |  | ) |

RVNGInputStreamPtr_t libetonyek::IWASnappyStream::uncompressBlock | ( | const RVNGInputStreamPtr_t & | block | ) |
| static

## Member Data Documentation

RVNGInputStreamPtr_t libetonyek::IWASnappyStream::m_stream
| private

Referenced by isEnd(), IWASnappyStream(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- IWASnappyStream.h
- IWASnappyStream.cpp